package com.tomtomwork.queueing.test.jmsintegrationtest;

import  java.text.DecimalFormat;

/**
 * JMS connector
 */

abstract class GenericConnector extends Thread
{
 // === Static ================================================================

 private static final String NBR_FORMAT = "###,###,###,###,###,###";
 
 // === Attributes ============================================================
 
 final    String              name;
 
 final    DecimalFormat       numberFormatter;
 
 volatile boolean             stop, pause;

 // === Constructor ===========================================================
       
 /**
  * Create a new generic connector instance
  * @param name                       the connector name
  */
       
 public GenericConnector(final String name)
 {
  // Initialize
  
  this.name             = name;
  this.pause            = false;
  this.stop             = false;
  this.numberFormatter  = new DecimalFormat(NBR_FORMAT);
  
  // Set thread name
  
  setName(getClass().getName() + " : " + name);
 }
 
 // === Public ================================================================
 
 /**
  * Stop the connector
  */
 
 void signalStop()
 {
  stop = true;
 }  
 
 /**
  * Shut down connector
  */
 
 abstract void shutdown();
   
 // === Package protected =====================================================
 // === Protected =============================================================
 // === Private ===============================================================
 // === Inner classes =========================================================   
}